Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
New Member

Newbie - Can't get AXL SQL Toolkit to work

Hi All,

i would like to experiment with the AXL SQL toolkit in UCM 6.1 (lab server), but I can't get it to work.

I placed the axlsqltoolkit folder in the C:\ drive, opened up a CMD line and changed to the axlsqltoolkit directory. I ran the string listed in the Toolkit ReadMe, but I get a Exception Error. Here's the output:

C:\axlsqltoolkit>java -cp .\classes;.\lib\saaj-api.jar;.\lib\saaj-impl.jar;.\lib\mail.jar;.\lib\activation.jar;.\lib\jaxm-api.jar;.\lib\jaxm-runtime.jar;.\lib\xercesImpl.jar;.\lib\xml-apis.jar AxlSqlToolkit -username=admin -password=Pa5w0rd -host=10.10.1.1

Exception in thread "main" java.lang.UnsupportedClassVersionError: AxlSqlToolkit

(Unsupported major.minor version 49.0)

at java.lang.ClassLoader.defineClass0(Native Method)

at java.lang.ClassLoader.defineClass(ClassLoader.java:539)

at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:123)

at java.net.URLClassLoader.defineClass(URLClassLoader.java:251)

at java.net.URLClassLoader.access$100(URLClassLoader.java:55)

at java.net.URLClassLoader$1.run(URLClassLoader.java:194)

at java.security.AccessController.doPrivileged(Native Method)

at java.net.URLClassLoader.findClass(URLClassLoader.java:187)

at java.lang.ClassLoader.loadClass(ClassLoader.java:289)

at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:274)

at java.lang.ClassLoader.loadClass(ClassLoader.java:235)

at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:302)

C:\axlsqltoolkit>

Any ideas? Yes, I did update Java.

Thanks, Randy

5 REPLIES

Re: Newbie - Can't get AXL SQL Toolkit to work

type java -version in your console and post the output here... you probably have multiple java runtimes and the default runtime is still an older one. I believe 49.0 means you need 1.5 or higher but I could be mistaken. In any case, the error means the jre that is being used to launch the app is an older one.

New Member

Re: Newbie - Can't get AXL SQL Toolkit to work

Thanks. Yes, I have more than one JRE

C:\Documents and Settings\Randy>java -version

java version "1.4.2_11"

Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_11-b06)

Java HotSpot(TM) Client VM (build 1.4.2_11-b06, mixed mode)

C:\Documents and Settings\Randy>

New Member

Re: Newbie - Can't get AXL SQL Toolkit to work

Problem solved.

I ran "java -verbose" from the cmd line. It showed that the JRE was from an old install of Attendant Console :(

I uninstalled Attendant console, but it still didn't work. The JRE version was 1.4.2_17, which according to the ReadMe file in the AXL SQL Toolkit should have worked.

Some research on the Java forums showed that the "Unsupported major.minor version 49.0" message indicates the Toolkit needs JRE 1.5 or better. I updated to the latest JRE 1.6 and everything works fine. Moral of the story: Don't always believe the ReadMe file!

New Member

Newbie - Can't get AXL SQL Toolkit to work

Hi,

I am also having an issue launching the AXL Toolkit on CUCM v8.5.  I have also placed the axlsqltoolkit folder in the C:\ drive, opened up a CMD line and changed to the axlsqltoolkit directory. I ran the string listed in the Toolkit ReadMe, but I get a Exception Error. Here's the output:

C:\axlsqltoolkit>java -cp .\classes;.\lib\saaj-api.jar;.\lib\saaj-impl.jar;.\lib\mail.jar;.\lib\activation.jar;.\lib\jaxm-api.jar;.\lib\jaxm-runtime.jar;.\lib\xercesImpl.jar;.\lib\xml-apis.jar AxlSqlToolkit -username=CCMAdministrator -password=password-host=10.10.10.1

Exception in thread "main" java.lang.NoClassDefFoundError: org/apache/xerces/parsers/DOMParser

        at AxlSqlToolkit.execute(AxlSqlToolkit.java:187)

        at AxlSqlToolkit.main(AxlSqlToolkit.java:244)

C:\axlsqltoolkit>java -version

java version "1.7.0_09"

Java(TM) SE Runtime Environment (build 1.7.0_09-b05)

Java HotSpot(TM) 64-Bit Server VM (build 23.5-b02, mixed mode)

Any ideas?

New Member

Re: Newbie - Can't get AXL SQL Toolkit to work

Sorry, no ideas.

I have not worked with the axlsqltoolkit in years, since CallManager now lets you set an LDAP filter string from the GUI.

Just out of curiosity, I downloaded the latest 64bit jre on my laptop (1.7.0_09) , and the axlsqltoolkit from CallManager 8.6.2-SU2.

I was able to run the default sample.xml query without any problems.

You might try "java -verbose" to see if there are any other (older) versions of java causing problems.

Othe than that, just google your error messages.

1251
Views
4
Helpful
5
Replies
CreatePlease to create content